Bug 1008153 - When pintohost filter is active, then vm which is not pinned fail to migrate.
When pintohost filter is active, then vm which is not pinned fail to migrate.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Gilad Chaplik
Lukas Svaty
sla
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-15 04:55 EDT by Ondra Machacek
Modified: 2016-02-10 15:13 EST (History)
9 users (show)

See Also:
Fixed In Version: is17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:13:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine.log (11.66 KB, text/plain)
2013-09-15 04:55 EDT, Ondra Machacek
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19313 None None None Never
oVirt gerrit 19653 None None None Never

  None (edit)
Description Ondra Machacek 2013-09-15 04:55:38 EDT
Created attachment 797858 [details]
engine.log

Description of problem:
When cluster policy with pintohost is active. Then when vm which is not pinned to
any host is migrated with 'auto selected host', this vm fails to migrated and
is shuted down.

Version-Release number of selected component (if applicable):
is13

How reproducible:
always

Steps to Reproduce:
1. Create two hosts. in cluster which use policy with only pin to host filter.
2. Create vm which is not pinned to any host and run it.
3. Try to migrate this vm with option 'select host automatically'.

Actual results:
Vm fail to migrate and is shut down.

Expected results:
Vm will migrate.

Additional info:
Comment 1 Ondra Machacek 2013-09-15 05:03:28 EDT
Happend also when other filters are active, not only pin-to-host.
Comment 2 Doron Fediuck 2013-09-16 04:51:16 EDT
Hi Ondra,
I'm missing the log parts from the scheduling process. Can you please add them?

Also, what is your cluster policy optimization (servers? desktops?) 
There are several options that allow overcommitment, such as ksm, ballooning etc
so we really need you to specify all these settings to evaluate the memory calculations.
Comment 3 Doron Fediuck 2013-09-16 04:59:15 EDT
Please ignore previous comment.

Are you using one of the existing policies or did you create your own?
Comment 4 Ondra Machacek 2013-09-16 07:36:55 EDT
I used only pin-to-host internal filter.
Comment 5 Doron Fediuck 2013-09-16 09:39:21 EDT
(In reply to Ondra Machacek from comment #4)
> I used only pin-to-host internal filter.

What about actual memory availability? ie- optimization, etc?
Relevant logs?
Comment 7 Ondra Machacek 2013-09-18 08:50:28 EDT
I didn't use any optiomizations. no page sharing, ksm and ballooning

This problem also appers when I do:
Using RAM filter, overload RAM of host1
create vm and run it on host2. try to migrate this vm to host1,
migration also fails and vm is going down.

When I add to RAM filter also migration filter, then the problem don't appear 
again.
Comment 8 Lukas Svaty 2013-10-01 04:44:42 EDT
tested on is17
Comment 9 Itamar Heim 2014-01-21 17:13:52 EST
Closing - RHEV 3.3 Released
Comment 10 Itamar Heim 2014-01-21 17:21:38 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.